header{
    background: 
        linear-gradient(rgba(31, 31, 31, 0.5), rgba(31, 31, 31, 0.5)),
        url('../images/hero-bg.png');
    background-size: cover;
    background-position: center;
}

.wrapper{
    width: 1360px;
    max-width: 100%;
    margin: auto;
}

.header-btns a:hover svg{
    stroke: #B98A8A;
}

.card{
    width: 430px;
    height: 502px;
    border-radius: 8px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    gap: 32px;
    justify-content: center;
    align-items: center;
}

.card::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(20, 20, 20, 0.9);
    border-radius: 8px;
    opacity: 0;
    transform: scale(1.05); /* subtle zoom effect */
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.card:hover::before{
    opacity: 1;
    transform: scale(1);
}

.card .texts{
    opacity: 0;
    transform: scale(1); /* subtle zoom effect */
    transition: opacity 0.3s ease, transform 0.3s ease;
    padding: 32px;
    display: flex;
    flex-direction: column;
    gap: 60px;
    justify-content: center;
    align-items: center;
}

.card:hover .texts{
    opacity: 1;
    transform: scale(1);
}

.card1{
    background: url('../images/card1.png');
    background-size: cover;
    background-position: center;
}

.card2{
    background: url('../images/card2.png');
    background-size: cover;
    background-position: center;
}

.card3{
    background: url('../images/card3.png');
    background-size: cover;
    background-position: center;
}



@media (max-width: 1024px) {

    .card::before{
        opacity: 1;
        transform: scale(1.05); /* subtle zoom effect */
        transition: opacity 0.3s ease, transform 0.3s ease;
    }

    .card .texts{
        opacity: 1;
        transform: scale(1); /* subtle zoom effect */
        transition: opacity 0.3s ease, transform 0.3s ease;
    }

}